Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(26)

Issue 2764643003: cros: Move TrayBluetoothHelper out of chrome into ash (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 4 weeks ago by James Cook
Modified:
4 months, 4 weeks ago
Reviewers:
msw
CC:
chromium-reviews, kalyank, sadrul, oshima+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

cros: Move TrayBluetoothHelper out of chrome into ash This is another step toward moving bluetooth support into //ash, which is needed to make it work with mash. * Mechanically move the file and test * Change ownership from SystemTrayDelegateChromeOS to ash::Shell * Make ShowBluetoothPairingDialog use mojo to talk to chrome TODO: Change TrayBluetooth to use the helper directly and remove all the Bluetooth methods from SystemTrayDelegate BUG=660043 TEST=ash_unittests, chrome unit_tests Review-Url: https://codereview.chromium.org/2764643003 Cr-Commit-Position: refs/heads/master@{#458287} Committed: https://chromium.googlesource.com/chromium/src/+/ac672433b25e1fcf341b2d8a42bbc1ee520f5928

Patch Set 1 #

Total comments: 6

Patch Set 2 : review comments, fix deps #

Patch Set 3 : rebase #

Patch Set 4 : rebase fix #

Unified diffs Side-by-side diffs Delta from patch set Stats (+77 lines, -387 lines) Patch
M ash/BUILD.gn View 1 2 3 chunks +4 lines, -0 lines 0 comments Download
A + ash/common/system/chromeos/bluetooth/tray_bluetooth_helper.h View 1 3 chunks +15 lines, -12 lines 0 comments Download
A + ash/common/system/chromeos/bluetooth/tray_bluetooth_helper.cc View 1 2 3 5 chunks +11 lines, -7 lines 0 comments Download
A + ash/common/system/chromeos/bluetooth/tray_bluetooth_helper_unittest.cc View 3 chunks +8 lines, -2 lines 0 comments Download
M ash/common/system/tray/system_tray_controller.h View 1 chunk +4 lines, -1 line 0 comments Download
M ash/common/system/tray/system_tray_controller.cc View 1 chunk +11 lines, -0 lines 0 comments Download
M ash/shell.h View 1 2 4 chunks +7 lines, -1 line 0 comments Download
M ash/shell.cc View 1 2 4 chunks +6 lines, -0 lines 0 comments Download
M chrome/browser/ui/BUILD.gn View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/browser/ui/ash/system_tray_delegate_chromeos.h View 2 chunks +0 lines, -5 lines 0 comments Download
M chrome/browser/ui/ash/system_tray_delegate_chromeos.cc View 7 chunks +11 lines, -16 lines 0 comments Download
D chrome/browser/ui/ash/tray_bluetooth_helper.h View 1 chunk +0 lines, -99 lines 0 comments Download
D chrome/browser/ui/ash/tray_bluetooth_helper.cc View 1 chunk +0 lines, -181 lines 0 comments Download
D chrome/browser/ui/ash/tray_bluetooth_helper_unittest.cc View 1 chunk +0 lines, -60 lines 0 comments Download
M chrome/test/BUILD.gn View 1 2 1 chunk +0 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 24 (16 generated)
James Cook
msw, please take a look. There will be a follow-up CL shortly to get rid ...
4 months, 4 weeks ago (2017-03-20 23:27:09 UTC) #3
msw
lgtm with minor comments https://codereview.chromium.org/2764643003/diff/1/ash/shell.cc File ash/shell.cc (right): https://codereview.chromium.org/2764643003/diff/1/ash/shell.cc#newcode594 ash/shell.cc:594: tray_bluetooth_helper_.reset(); On 2017/03/20 23:27:09, James ...
4 months, 4 weeks ago (2017-03-20 23:47:07 UTC) #8
James Cook
Thanks for the quick review. https://codereview.chromium.org/2764643003/diff/1/ash/shell.cc File ash/shell.cc (right): https://codereview.chromium.org/2764643003/diff/1/ash/shell.cc#newcode960 ash/shell.cc:960: tray_bluetooth_helper_->Initialize(); On 2017/03/20 23:47:07, ...
4 months, 4 weeks ago (2017-03-21 00:18:08 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2764643003/20001
4 months, 4 weeks ago (2017-03-21 00:19:01 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/173841) ios-device-xcode-clang on master.tryserver.chromium.mac (JOB_FAILED, ...
4 months, 4 weeks ago (2017-03-21 00:23:07 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2764643003/40001
4 months, 4 weeks ago (2017-03-21 01:09:38 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2764643003/60001
4 months, 4 weeks ago (2017-03-21 01:21:58 UTC) #21
commit-bot: I haz the power
4 months, 4 weeks ago (2017-03-21 02:55:30 UTC) #24
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/chromium/src/+/ac672433b25e1fcf341b2d8a42bb...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b